Hi

(This is my first post on this forum. I hope I'm asking this in a way that
makes sense).

I've recently changed from 6.6x to 7.1 zlm. I must say I liked the old way
better, at least so far. (rug pin entire-channel oes was so much simpler).
I believe I've made it past the confusion of bundles and catalaogs, etc,
but am running into a problem.

When I try to patch my oes linux sp2 servers, I am getting this error:


DEBUG: [01/05/2007 21:09:50] Transaction Unable to complete RPM
transaction:
file /var/opt/novell/log from install of novell-ncpserv-1.3-10 conflicts
with fi
le from package novell-filesystem-0.0.1-3
file /var/opt/novell/log from install of novell-ncpserv-1.3-10 conflicts
with fi
le from package novell-nrm-1.3-9
file /var/opt/novell/log from install of novell-ncpserv-1.3-10 conflicts
with fi
le from package novell-ncpserv-nrm-1.3-2
file /var/opt/novell/log conflicts between attempted installs of novell-
nss-4.9.
28-1 and novell-ncpserv-1.3-10


If I point the servers back to update.novell.com/data and run the update
the old way (rug pin --entire-channel oes) they work fine. But using the
7.1 server and rug up, I get this error.

If I point them back at novell and simply run a rug up, I get the same
error pointing at Novell's server as I do pointing at my ZLM server.

I have subscribed my candidate server in the ZLM Control Center, and they
are communicating (the agent and the primary server) fine.


omhq10c2:/var/opt/novell/log/zenworks # rug sl

# | Status | Type | Name | URI
--+--------+----------+---------------------------+-----------------
1 | Active | ZENworks | ZENworks Linux Management | https://omhq10fd


If I attempt to display the available update, I can see them:

omhq10c2:/var/opt/novell/log/zenworks # rug lu |more

S | Catalog | Bundle | Name
| Version | Arch
--+---------+-------------------------+------------------------------------
-----
---+--------------------+-------
v | oes | oes-bundle, patch-11361 | adminfs
| 2.6.5_7.283-1.0.54 | i586
v | oes | patch-11293, oes-bundle | apache2
| 2.0.49-27.63 | i586
v | oes | patch-11293, oes-bundle | apache2-worker
| 2.0.49-27.63 | i586
v | oes | oes-bundle, patch-11292 | ethereal
| 0.10.13-2.24 | i586
v | oes | oes-bundle, patch-11339 | gpg
| 1.2.4-68.22 | i586
v | oes | oes-bundle, patch-11358 | kernel-bigsmp
| 2.6.5-7.283 | i586
v | oes | oes-bundle, patch-11358 | kernel-source
| 2.6.5-7.283 | i586

<snip>

Does anyone have any thoughts that may help? Ideally, if I could manually
patch everything from the command line of the agent/client servers, I
would be in hog heaven. The ZLM server appears to be getting the updates
down from novell each day, though I'm seeing the same error someone else
posted about on this forum today. (That error has popped up in the past
week or so, and I have an SR open with Novell on it. If I get it resolved
I'll post the solution.).

Thank you in advance for any help you can offer,
Sam